"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ContentEditable_1 = tslib_1.__importDefault(require("./ContentEditable"));
var React = tslib_1.__importStar(require("react"));
var NumberField = /** @class */ (function (_super) {
    tslib_1.__extends(NumberField, _super);
    function NumberField() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleKeyPress = function (e) {
            if (String.fromCharCode(e.which) !== '-' &&
                String.fromCharCode(e.which) !== '.' &&
                isNaN(Number(String.fromCharCode(e.which)))) {
                e.preventDefault();
            }
        };
        _this.onChange = function (newContent) {
            var newValue = Number(newContent);
            _this.props.onChange(newValue);
        };
        _this.content = function () {
            return _this.props.value.toString();
        };
        return _this;
    }
    NumberField.prototype.shouldComponentUpdate = function (nextProps) {
        return nextProps.value !== this.props.value || nextProps.disabled !== this.props.disabled;
    };
    NumberField.prototype.render = function () {
        var _a = this.props, disabled = _a.disabled, displayContent = _a.displayContent, selectOnFocus = _a.selectOnFocus;
        return (React.createElement(ContentEditable_1.default, { content: this.content(), displayContent: displayContent, disabled: disabled, selectOnFocus: selectOnFocus, onChange: this.onChange, onKeyPress: this.handleKeyPress }));
    };
    NumberField.defaultProps = {
        disabled: false,
        selectOnFocus: true
    };
    return NumberField;
}(React.Component));
exports.default = NumberField;
//# sourceMappingURL=NumberField.js.map