"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var SelectField_1 = require("./styles/SelectField");
var SelectField = /** @class */ (function (_super) {
    tslib_1.__extends(SelectField, _super);
    function SelectField() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleChange = function (evt) {
            _this.props.onChange(evt.target.value);
        };
        return _this;
    }
    SelectField.prototype.shouldComponentUpdate = function (nextProps) {
        return (nextProps.disabled !== this.props.disabled ||
            nextProps.value !== this.props.value ||
            nextProps.options !== this.props.options);
    };
    SelectField.prototype.render = function () {
        var _a = this.props, options = _a.options, disabled = _a.disabled, value = _a.value;
        return (React.createElement(SelectField_1.SelectSpan, null,
            options[value],
            !disabled && (React.createElement(SelectField_1.StyledSelect, { onChange: this.handleChange, value: value }, Object.keys(options).map(function (key) {
                var val = options[key];
                return (React.createElement("option", { value: key, key: key }, val));
            })))));
    };
    SelectField.defaultProps = {
        disabled: false,
        onChange: function () { }
    };
    return SelectField;
}(React.Component));
exports.default = SelectField;
//# sourceMappingURL=SelectField.js.map